<!DOCTYPE html>
<html>

<head>
    <title>{{ $title }}</title>
    <style>
        table {
            width: 100%;
            border-collapse: collapse;
        }

        table,
        th,
        td {
            border: 1px solid black;
            padding: 0px;
        }

        th,
        td {
            padding: 10px;
            text-align: left;
            padding: 0px;
        }

        .colWidth {
            width: 100px;
            min-width: 100px;
            max-width: 100px;
        }

        .colWidth2 {
            width: 50px;
            min-width: 50px;
            max-width: 50px;
        }

        body {
            font-size: small;
        }

        .style_day {
            background-color: darkkhaki;
            font-size: 12px;
            color: white;
            text-align: left
        }

        .style_night {
            background-color: lightslategray;
            font-size: 12px;
            color: white;
            text-align: left
        }
    </style>
</head>

<body>
    <h3 style="text-align: center;">{{ $title }}</h3>
    @foreach($machineries as $machine)
    <br>
    <div>
        <table>
            <tr>
                <td class="colWidth" rowspan="{{ count($machine) * ((count($machine[0]['day']['date'])+1)* 2) }}" style="background-color: green;font-size: 20px;color: white;">{{$machine[0]['machine']}}</td>
                <td class="colWidth" rowspan="7" style="background-color: orange;font-size: 20px;color: white;text-align: center;">Day</td>
                <td class="colWidth style_day">Date</td>
                @if(isset($machine[0]['day']['date']))
                @foreach($machine[0]['day']['date'] as $date)
                <td class="colWidth2">{{ $date }}</td>
                @endforeach
                @endif
            </tr>
            @foreach($machine as $day)
            <tr>
                <td class="colWidth style_day">PO</td>

                @if(isset($day['day']['po']) && is_array($day['day']['po']))
                {{-- Display existing PO numbers --}}
                @foreach($day['day']['po'] as $po)
                <td class="colWidth2">{{ $po }}</td>
                @endforeach
                @endif

                @php
                // Calculate the number of empty cells needed
                $totalDates = count($machine[0]['day']['date']);
                $count = isset($day['day']['po']) ? count($day['day']['po']) : 0;
                $emptyCells = $totalDates - $count;
                @endphp

                {{-- Add empty cells --}}
                @for($i = 0; $i < $emptyCells; $i++) <td class="colWidth2">
                    </td>
                    @endfor
            </tr>
            <tr>
                <td class="colWidth style_day">Size</td>
                @if(isset($day['day']['size']))
                @foreach($day['day']['size'] as $size)
                <td class="colWidth2">{{ $size }}</td>
                @endforeach
                @endif

                @php
                // Calculate the number of empty cells needed
                $totalDates = count($machine[0]['day']['date']);
                $count = isset($day['day']['size']) ? count($day['day']['size']) : 0;
                $emptyCells = $totalDates - $count;
                @endphp

                {{-- Add empty cells --}}
                @for($i = 0; $i < $emptyCells; $i++) <td class="colWidth2">
                    </td>
                    @endfor
            </tr>
            <tr>
                <td class="colWidth style_day">Plan Qty</td>
                @if(isset($day['day']['plan_qty']))
                @foreach($day['day']['plan_qty'] as $plan_qty)
                <td class="colWidth2" style="text-align: right;">{{ $plan_qty }}</td>
                @endforeach
                @endif

                @php
                // Calculate the number of empty cells needed
                $totalDates = count($machine[0]['day']['date']);
                $count = isset($day['day']['plan_qty']) ? count($day['day']['plan_qty']) : 0;
                $emptyCells = $totalDates - $count;
                @endphp

                {{-- Add empty cells --}}
                @for($i = 0; $i < $emptyCells; $i++) <td class="colWidth2" style="text-align: right;">0</td>
                    @endfor
            </tr>
            <tr>
                <td class="colWidth style_day">Farm</td>
                @if(isset($day['day']['farm']))
                @foreach($day['day']['farm'] as $farm)
                <td class="colWidth2">{{ $farm }}</td>
                @endforeach
                @endif

                @php
                // Calculate the number of empty cells needed
                $totalDates = count($machine[0]['day']['date']);
                $count = isset($day['day']['farm']) ? count($day['day']['farm']) : 0;
                $emptyCells = $totalDates - $count;
                @endphp

                {{-- Add empty cells --}}
                @for($i = 0; $i < $emptyCells; $i++) <td class="colWidth2">
                    </td>
                    @endfor
            </tr>
            <tr>
                <td class="colWidth style_day">Country</td>
                @if(isset($day['day']['country']))
                @foreach($day['day']['country'] as $country)
                <td class="colWidth2">{{ $country }}</td>
                @endforeach
                @endif

                @php
                // Calculate the number of empty cells needed
                $totalDates = count($machine[0]['day']['date']);
                $count = isset($day['day']['country']) ? count($day['day']['country']) : 0;
                $emptyCells = $totalDates - $count;
                @endphp

                {{-- Add empty cells --}}
                @for($i = 0; $i < $emptyCells; $i++) <td class="colWidth2">
                    </td>
                    @endfor
            </tr>
            <tr>
                <td class="colWidth style_day">Other</td>
                @if(isset($day['day']['other']))
                @foreach($day['day']['other'] as $other)
                <td class="colWidth2">{{ $other }}</td>
                @endforeach
                @endif

                @php
                // Calculate the number of empty cells needed
                $totalDates = count($machine[0]['day']['date']);
                $count = isset($day['day']['other']) ? count($day['day']['other']) : 0;
                $emptyCells = $totalDates - $count;
                @endphp

                {{-- Add empty cells --}}
                @for($i = 0; $i < $emptyCells; $i++) <td class="colWidth2">
                    </td>
                    @endfor
            </tr>
            @endforeach



            <tr>
                <td class="colWidth" rowspan="7" style="background-color: gray;font-size: 20px;color: white;text-align: center;">Night</td>
                <td class="colWidth style_night">Date</td>
                @if(isset($machine[0]['night']['date']))
                @foreach($machine[0]['night']['date'] as $date)
                <td class="colWidth2">{{ $date }}</td>
                @endforeach
                @endif
            </tr>
            @foreach($machine as $day)
            <tr>
                <td class="colWidth style_night">PO</td>
                @if(isset($day['night']['po']))
                @foreach($day['night']['po'] as $po)
                <td class="colWidth2">{{ $po }}</td>
                @endforeach
                @endif

                @php
                // Calculate the number of empty cells needed
                $totalDates = count($machine[0]['night']['date']);
                $count = isset($day['night']['po']) ? count($day['night']['other']) : 0;
                $emptyCells = $totalDates - $count;
                @endphp

                {{-- Add empty cells --}}
                @for($i = 0; $i < $emptyCells; $i++) <td class="colWidth2">
                    </td>
                    @endfor
            </tr>
            <tr>
                <td class="colWidth style_night">Size</td>
                @if(isset($day['night']['size']))
                @foreach($day['night']['size'] as $size)
                <td class="colWidth2">{{ $size }}</td>
                @endforeach
                @endif

                @php
                // Calculate the number of empty cells needed
                $totalDates = count($machine[0]['night']['date']);
                $count = isset($day['night']['size']) ? count($day['night']['size']) : 0;
                $emptyCells = $totalDates - $count;
                @endphp

                {{-- Add empty cells --}}
                @for($i = 0; $i < $emptyCells; $i++) <td class="colWidth2">
                    </td>
                    @endfor
            </tr>
            <tr>
                <td class="colWidth style_night">Plan Qty</td>
                @if(isset($day['night']['plan_qty']))
                @foreach($day['night']['plan_qty'] as $plan_qty)
                <td class="colWidth2" style="text-align: right;">{{ $plan_qty }}</td>
                @endforeach
                @endif

                @php
                // Calculate the number of empty cells needed
                $totalDates = count($machine[0]['night']['date']);
                $count = isset($day['night']['plan_qty']) ? count($day['night']['plan_qty']) : 0;
                $emptyCells = $totalDates - $count;
                @endphp

                {{-- Add empty cells --}}
                @for($i = 0; $i < $emptyCells; $i++) <td class="colWidth2" style="text-align: right;">0</td>
                    @endfor
            </tr>
            <tr>
                <td class="colWidth style_night">Farm</td>
                @if(isset($day['night']['farm']))
                @foreach($day['night']['farm'] as $farm)
                <td class="colWidth2">{{ $farm }}</td>
                @endforeach
                @endif

                @php
                // Calculate the number of empty cells needed
                $totalDates = count($machine[0]['night']['date']);
                $count = isset($day['night']['farm']) ? count($day['night']['farm']) : 0;
                $emptyCells = $totalDates - $count;
                @endphp

                {{-- Add empty cells --}}
                @for($i = 0; $i < $emptyCells; $i++) <td class="colWidth2">
                    </td>
                    @endfor
            </tr>
            <tr>
                <td class="colWidth style_night">Country</td>
                @if(isset($day['night']['country']))
                @foreach($day['night']['country'] as $country)
                <td class="colWidth2">{{ $country }}</td>
                @endforeach
                @endif

                @php
                // Calculate the number of empty cells needed
                $totalDates = count($machine[0]['night']['date']);
                $count = isset($day['night']['country']) ? count($day['night']['country']) : 0;
                $emptyCells = $totalDates - $count;
                @endphp

                {{-- Add empty cells --}}
                @for($i = 0; $i < $emptyCells; $i++) <td class="colWidth2">
                    </td>
                    @endfor
            </tr>
            <tr>
                <td class="colWidth style_night">Other</td>
                @if(isset($day['night']['other']))
                @foreach($day['night']['other'] as $other)
                <td class="colWidth2">{{ $other }}</td>
                @endforeach
                @endif


                @php
                // Calculate the number of empty cells needed
                $totalDates = count($machine[0]['night']['date']);
                $count = isset($day['night']['other']) ? count($day['night']['other']) : 0;
                $emptyCells = $totalDates - $count;
                @endphp

                {{-- Add empty cells --}}
                @for($i = 0; $i < $emptyCells; $i++) <td class="colWidth2">
                    </td>
                    @endfor
            </tr>
            @endforeach


        </table>
    </div>
    @endforeach
</body>

</html>